Last Comment Bug 410460 - (acid3) Acid3 tracking bug
(acid3)
: Acid3 tracking bug
Status: VERIFIED FIXED
read #111 #126 and #128 BEFORE commen...
: meta
Product: Core
Classification: Components
Component: Tracking (show other bugs)
: Trunk
: All All
: -- normal with 164 votes (vote)
: ---
Assigned To: Nobody; OK to take it and work on it
: chris hofmann
Mentors:
http://acid3.acidtests.org/
: 484204 (view as bug list)
Depends on: 793890 text-shadow 42976 50630 70132 73586 75375 98997 118704 128585 132824 mediaqueries 157373 174351 178258 199959 216462 238072 243519 254337 260106 261081 281150 287465 302775 312354 332148 strongparent 346690 352044 411103 411889 411893 412567 420814 421131 421576 421765 421767 433533 437915 438519 438996 446584 448129 448132 450160 450191 453521 454325 454326 456282 457194 457429 458104 458169 460487 462971 473705 enablesmil 501345 lazyfc 754585 976649
Blocks:
  Show dependency treegraph
 
Reported: 2008-01-02 01:41 PST by :Gavin Sharp [email: gavin@gavinsharp.com]
Modified: 2014-02-25 15:42 PST (History)
215 users (show)
benjamin: blocking1.9.2-
benjamin: wanted1.9.2-
stephen.donner: in‑litmus+
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---


Attachments

Description :Gavin Sharp [email: gavin@gavinsharp.com] 2008-01-02 01:41:51 PST
Work has begun on the Acid3 test. The work-in-progress is at the URL in the URL field. Despite the scary warnings we should look into the parts of it that are failing and get bugs filed with testcases if there aren't already.
Comment 1 Jeff Walden [:Waldo] (remove +bmo to email) 2008-01-06 19:38:26 PST
This is probably easiest to track in a spreadsheet.  I started one to deal with
the individual tests in this:

http://spreadsheets.google.com/pub?key=pNgBCwWdyRTT2JeiZn4B2Yw

A link to edit it's at the bottom of the page.  Currently Gavin and I have edit
access; ask him if you want to be able to edit it.
Comment 2 Sylvain Pasche 2008-01-06 20:47:25 PST
Can you give me access?

Tests 4 up to 8 are bug 132824
Comment 3 Jeff Walden [:Waldo] (remove +bmo to email) 2008-01-06 21:26:19 PST
It's not obvious, but clicking on the "Acid3" title will alert a list of the tests that failed.
Comment 4 Caio Tiago Oliveira (asrail) 2008-01-06 21:41:49 PST
It's in the comments but it's worth to put here:
click on the "A" of the title - no other letter will give you the list.

Shift-click the "A" to get the report on the current page, instead of an alert.
Comment 5 Arpad Borsos [:Swatinem] 2008-01-14 06:47:20 PST
Can someone with the appropriate rights please add Bug 73586 – matching of :first-child, :only-child, and :last-child not dynamically updated [SELECTORS-DYNAMIC] to the dependencies?
Tests 35-37 fail due to that bug.
Comment 6 mdew 2008-01-14 17:12:59 PST
With acid3, the browser locks up for a bit on the 14% before continuing. is this a javascript bug?
Comment 7 Jeff Walden [:Waldo] (remove +bmo to email) 2008-01-14 18:06:18 PST
It's some inefficiency (specific area of functionality not currently known) as acid3 does its best to force a garbage collection; I suspect it'll get improved some with the current and ongoing perf work.  However, I personally doubt it'll get a *huge* amount of specific attention in the immediate future, at least until the low-hanging fruit (of which there's still plenty, in my estimation) in acid3 is fixed, as no real-world page is actually going to do what's being done there.

Also, given the current point in the release cycle, acid3 is extremely unlikely to be fixed in Firefox 3, so nobody who hacks on Firefox full-time is likely to spend much time on it now, except coincidentally.
Comment 8 Mycroft Project (CC) 2008-01-30 10:31:32 PST
Tests 26,27 and 73 appear to pass...
Comment 9 rlanday 2008-01-31 13:48:40 PST
26 and 27 are passing for me, but not 73.

Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.5; en-US; rv:1.9b3pre) Gecko/2008013104 Minefield/3.0b3pre
Comment 10 Jeff Walden [:Waldo] (remove +bmo to email) 2008-02-01 14:34:39 PST
26/27 don't pass when I run them.  The reason people are reporting different things is that the test basically relies on a garbage collection happening, but I think that behavior's going to be system-dependent to an extent, and it might just be that some systems don't GC in the right period of time.

I also see 73 passing; for now I've marked it as a yellow PASS that we can revisit later to figure out what's up.
Comment 11 aja+bugzilla 2008-02-02 16:01:14 PST
New URL for the "final": http://acid3.acidtests.org/
per http://www.css3.info/acid3-completed/

Acid and Acid2 are hosted there now, too.
Comment 12 Jeff Walden [:Waldo] (remove +bmo to email) 2008-02-02 16:34:41 PST
(In reply to comment #11)
> per http://www.css3.info/acid3-completed/

Sure.  Note, however, that despite what the site says, acid3 isn't yet completed, and it's still changing for a little while longer.
Comment 13 rlanday 2008-02-02 18:28:18 PST
Booted off of a drive with Tiger on it, (Mozilla/5.0 (Macintosh; U; Intel Mac OS X 10.4; en-US; rv:1.9b3pre) Gecko/2008020204 Minefield/3.0b3pre), I get the opposite of what I had before: 26 and 27 failing, 73 passing. Is there a chance this is a Tiger/Leopard issue?
Comment 14 Matthew Hutton 2008-02-20 04:41:29 PST
FWIW Test 26/27 fail and 73 passes with Webkit r30377 on Intel Leopard, so it looks likely to be a Firefox Issue
Comment 15 mdew 2008-02-21 16:45:13 PST
Just wondering why the windows builds are currently at 66/100, and my newly compiled linux build is at 65/100, why would there be a difference?
Comment 16 Daniel.S 2008-02-22 07:31:45 PST
Even on Windows there's sometimes a difference of 1 point. Last week I noticed test #80 somtimes failed and sometimes did not fail. However, it looks like this test was changed recently as well.
Comment 17 Martijn (MozBrowser.nl) 2008-03-03 11:41:53 PST
Sounds like the Acid3-test has officially been released: 
www.webstandards.org/press/releases/20080303/
www.webstandards.org/acid3/
Comment 18 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-03-03 18:58:14 PST
It looks like test 42 in the test is broken.  The selector it uses is:
        var match = add("#div1 ~ div div + div > div");
but the content tree it constructs would match
        var match = add("#div1 ~ div + div div > div");
Comment 19 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-03-03 19:07:54 PST
Er, never mind.
Comment 20 Darren VanBuren 2008-03-05 22:38:36 PST
we are falling behind webkit. they can do 90 of the tests while we only can do 66. we need to look at their code and see how things work there.
Comment 21 Dão Gottwald [:dao] 2008-03-05 23:22:11 PST
We need to ship Firefox 3 and Gecko 1.9.
Comment 22 Mackenzie 2008-03-08 10:28:47 PST
(In reply to comment #20)
> we are falling behind webkit. they can do 90 of the tests while we only can do
> 66. we need to look at their code and see how things work there.
> 

66?  I got 60 completed on FF3b3 on Linux, and that's the highest I've seen.  When I tried the first time, it was 57.  One of my friends tried WebKit on his Mac, and it was 83, not 90.
Comment 23 Damian Shaw [Quan] 2008-03-08 10:33:03 PST
(In reply to comment #22)
> 66?  I got 60 completed on FF3b3 on Linux, and that's the highest I've seen. 
> When I tried the first time, it was 57.  One of my friends tried WebKit on his
> Mac, and it was 83, not 90.
> 

Well on:

Mozilla/5.0 (Windows; U; Windows NT 5.2; en-US; rv:1.9b5pre) Gecko/2008030806 Minefield/3.0b5pre ID:2008030806

I get 69/100.

But could we keep this discussion to some forum ( e.g mozillazine ). It's not really worthy bug talk unless we expect to be getting some particular score and we're not.
Comment 24 Caio Tiago Oliveira (asrail) 2008-03-08 14:16:15 PST
69 on Linux, today's build.
Comment 25 gabe 2008-03-08 14:27:02 PST
we need a rule for this acid test no posting number unless it has gone down or up or something like that
Comment 26 John 2008-03-11 09:01:44 PDT
I think no one cares if this cames 1 month later or sooner... the important is that it cames free of bugs... 

if there is a bug then it should be fixed before the final release.

And passing the Acid3 Test would be great, would bring confidence to users and would make a lot of publicity to Firefox (specially if it was the first browser to do so!)
Comment 27 Matp75 2008-03-11 09:20:00 PDT
Please move this kind of discussion to mozillazine forums as this bug is only a tracking bug and should be kept concise if possible : http://forums.mozillazine.org/viewtopic.php?t=634633&postdays=0&postorder=asc&postsperpage=15&start=0
Comment 28 Josh Tumath 2008-03-15 09:04:28 PDT
I have a feeling that some features required to pass the test won't be added until Gecko 2 is out. Am I correct?
Comment 29 gabe 2008-03-15 09:36:11 PDT
yes you are josh the only way Firefox 3 could pass would be if we delayed Firefox 3 till early 2009 at the earliest 
Comment 30 Josh Tumath 2008-03-15 09:39:43 PDT
(In reply to comment #29)
> yes you are josh the only way Firefox 3 could pass would be if we delayed
> Firefox 3 till early 2009 at the earliest

Actually, Gecko 2 will be in Firefox 4.
Comment 31 Daniel.S 2008-03-15 10:59:30 PDT
Please don't spam this bug with discussions about its progress, progress that may happen or happend already and avoid discussing topics that are only slightly related to this bug at all, like the next iteration of Gecko/Firefox.

These topics are best discussed in the forums of MozillaZine.org Here's the Acid3 Topic: http://forums.mozillazine.org/viewtopic.php?t=634633

Vote or CC to this Bug if you want to follow its progress. Spamming the bug will only annoy the devs and those who already voted or CCd to follow its progres (like me). Thank you.

I apology for my own spam. Sorry.
Comment 32 Manos 2008-03-23 21:21:28 PDT
Using Firefox 3.0b4 under Windows XP PRO SP2 it shows inconsistent behavior.
More specifically I get 67/100 score 75% of the time and a 68/100 a 25%.

On those times that I get the 67 the extra test that fails is:
"Test 80 failed: kungFuDeathGrip is null"

I also noticed that the tests that have a 67 last 0.45 to 0.55 seconds while the ones that score 68/100 last at least 0.70 (in one instant I got a full 2.43!)
Comment 33 Josh Tumath 2008-03-24 02:14:21 PDT
(In reply to comment #32)
> Using Firefox 3.0b4 under Windows XP PRO SP2 it shows inconsistent behavior.
> More specifically I get 67/100 score 75% of the time and a 68/100 a 25%.
> On those times that I get the 67 the extra test that fails is:
> "Test 80 failed: kungFuDeathGrip is null"
> I also noticed that the tests that have a 67 last 0.45 to 0.55 seconds while
> the ones that score 68/100 last at least 0.70 (in one instant I got a full
> 2.43!)

This might actually be caused because of your cache. Reset it by pressing F5 and Ctrl at the same time. Tis happened to me on Minefield. It came up with a score of 70/100. After, I downloaded the latest build. I then went back on Acid3 and it was still 70, but a wikipedia article said it was 71, so I reset the cache and it was 71.
Comment 34 Manos 2008-03-24 02:25:41 PDT
(In reply to comment #33)
You know, this probably was it. I did it and now I get 78 systematically!

Great, thanks!
Comment 35 Manos 2008-03-24 02:26:27 PDT
Erm, I meant 68...
Comment 36 Lars Gunther 2008-03-24 15:18:27 PDT
In addition to not supporting downloadable fonts, the "X" with fuchsia background is not positioned correctly. It should cover up the red square in the top right corner. This is the CSS code in question, formatted for readability:

  map::after { 
      position: absolute; 
      top: 17px; 
      left: 639px; 
      content: "X"; 
      background: fuchsia; 
      color: white; 
      font: 20px/1 AcidAhemTest;
  }
Comment 37 Josh Tumath 2008-03-25 02:08:25 PDT
I think it's important to sort out the visual errors first. They'll be out of the way then.
Comment 38 Darren VanBuren 2008-03-25 20:22:28 PDT
according to ref. rendering, "X" shouldn't show up. I don't know.
Comment 39 Darren VanBuren 2008-03-25 20:25:06 PDT
whoops. sorry. the red x is in bug 70132.

I'm very sorry about rapid bug modification.
Comment 40 Josh Tumath 2008-03-26 02:02:28 PDT
Allow me to explain. The acid3 test has it's own font called "acidfont" or something like that. CSS 3 allows browsers to download fonts. The "acidfont" is basically a square. It gets coloured white via the CSS and the square will cover the red square at the top right corner, making it invisible. WebKit has successfully done this, but the square is also covering up the border. (see wikipedia)
Comment 41 Takeshi Kurosawa 2008-03-26 02:37:31 PDT
(In reply to comment #1)
> This is probably easiest to track in a spreadsheet.  I started one to deal with
> the individual tests in this:
> 
> http://spreadsheets.google.com/pub?key=pNgBCwWdyRTT2JeiZn4B2Yw


Test 78 fails due to lack of support SVG fonts. Our implementation of |textPath| and |getRotationOfChar| seems O.K. for Acid3.
Comment 42 Darren VanBuren 2008-03-26 17:32:12 PDT
Naw.. It gives 0 when the test expects 90. wont work.
Comment 43 Josh Tumath 2008-03-27 02:19:27 PDT
If anyone's interested. Presto (Opera) and Safari (WebKit) have passed Acid3, except for one glitch: they don't display the animation smoothly.
Comment 44 Arthur 2008-03-27 02:33:59 PDT
> except for one glitch: [...]

And the fact that at least WebKit has introduced a special case for the Acid3 font:
m_allowFontSmoothing = (nameStr != "Ahem");
Not something I'd like to see in the source repository.

I hope that instead of aiming for a 100/100 and a perfect test rendering that we still look at how far a fix benefits/hurts the web as a whole, carefully judging the pros and cons.
Comment 45 Stephen Donner [:stephend] - PTO; back on 5/28 2008-04-14 02:10:33 PDT
in-litmus+:

https://litmus.mozilla.org/show_test.cgi?id=5260

(Note that the testcase is currently disabled, and will remain so until I or someone else is aware of the expected passing-percentage for a given release.)
Comment 46 Peter Van der Beken [:peterv] 2008-05-17 03:21:21 PDT
I see no test for cloneNode on documents in Acid3, removing that from dependency list.
Comment 47 Peter Van der Beken [:peterv] 2008-05-17 03:34:13 PDT
Actually, the Range.cloneContents test will depend on Document.cloneNode, but we're not getting there yet because of bug 302775. Sorry for the bugspam.
Comment 48 Tracy Walker [:tracy] 2008-09-04 15:03:05 PDT
I enabled the litmus test for the 3.1 branch with note referencing this bug.  It's in the FFT, this will get run much less often than if in the BFT's.  I left the 3.0 test case disabled. (assuming fixes might not make it back there)
Comment 49 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-09-09 13:21:31 PDT
A brief update on current status (which I wrote in https://wiki.mozilla.org/Platform/2008-09-09#Layout_1.9.1_Update but should probably also put here):

    * numeric tests
          o trunk now to 85/100
          o patches currently in bugs get us to 90/100
                + bug 302775, bug 366944, bug 42976, bug 433533, bug 174351 
          o missing 1 point for bug 446584 (which had patch that stopped working)
          o missing 2 points for range bugs: (bug 454325, bug 454326)
          o missing 2 points for SMIL in SVG (bug 216462)
          o missing 3 points for SVG fonts and other related SVG issues (some
              might be easy)
          o missing 1 point for bug 450160 (createDocument)
          o missing 1 point for bug 178258 (HTML parser)
          o intermittently missing 1 or 2 points for bug 335998 (GC timing and
              nodes owning parents) 
    * layout tests
          o roc fixed stuff related to positioning and the root element
          o only remaining layout failure is downloadable TTF fonts
Comment 50 Lars Gunther 2008-09-10 01:01:51 PDT
Good to see the progress. Just a quick reminder: The Acid3 test also has a "smoothness" criterion that needs to pass before this bug is resolved.
Comment 51 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-09-17 13:29:25 PDT
Another status update:

Numeric tests:
 * trunk now at 86/100
 * patches currently in bug 302775, bug 42976, bug 433533, bug 174351,
   and bug 454325 get us to 93/100
 * missing 2 points (#75, #76) for SMIL in SVG (bug 216462)
 * missing 3 points (#77, #78, #79) for SVG fonts and other related SVG
   issues (some might be easy)
 * missing 1 point (#98) for bug 450160 (createDocument making HTML doc)
 * missing 1 point (#71) for bug 178258 (HTML parser <script> handling)
 * intermittently (but quite rarely) missing 1 or 2 points (#26, #27) for
   bug 335998 (GC timing and nodes owning parents) 

Layout tests:
 * white X on purple and red background in upper right is due to lack
   of support for downloadable TTF fonts (bug 441473, etc.)

Smoothness:
  Currently too slow on #26, #40, and (on slower machines) #65.  (Maybe more of them on even slower machines.)
Comment 52 Bill Gianopoulos [:WG9s] 2008-09-17 16:40:57 PDT
(In reply to comment #51)
> Smoothness:
>   Currently too slow on #26, #40, and (on slower machines) #65.  (Maybe more of
> them on even slower machines.)

Your machines must be slower than mine.  I only see an issue on #26 which is no where close to passing.
Comment 53 spam_hole 2008-09-17 16:52:34 PDT
Test 26 passed, but took 140ms (less than 30fps)
...
Test 65 passed, but took 42ms (less than 30fps)

These are the only two slow tests for me. Total time: 0.47s.
Comment 54 Lars Gunther 2008-09-17 21:29:50 PDT
Just to keep this information at hand...

Hixie writes: The "reference hardware" is whatever the top-of-the-line Apple laptop is at the time the test is run... http://ln.hixie.ch/?start=1207096078&count=1

N.b. Right now. Not from the time the test was released. Hixie also writes: "So for the record: if the test is run on a slow computer or device, it may run slowly or not smoothly and this does not imply non-conformance." http://ln.hixie.ch/?start=1208832405&count=1
Comment 55 Diego 2008-09-17 23:31:44 PDT
Here, linux AMD Athlon(tm) 64 Processor 3500+
Mozilla/5.0 (X11; U; Linux i686 (x86_64); en-US; rv:1.9.1b1pre) Gecko/20080917020400 Minefield/3.1b1pre

Test 08 passed, but took 58ms (less than 30fps)
Test 26 passed, but took 561ms (less than 30fps)
Test 33 passed, but took 51ms (less than 30fps)
Test 39 passed, but took 45ms (less than 30fps)
Test 40 passed, but took 54ms (less than 30fps)
Test 43 passed, but took 36ms (less than 30fps)
Test 46 passed, but took 66ms (less than 30fps)
Test 65 passed, but took 65ms (less than 30fps)
Comment 56 Arpad Borsos [:Swatinem] 2008-09-18 02:35:26 PDT
I don't think comparing numbers helps a lot to fix the issues.
What I would like to know is whether TraceMonkey helps this issues. Unfortunately I can't test since building TM is disabled on x86_64.
Comment 57 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-09-18 07:04:28 PDT
Last I checked (a few months ago, I think, and I only looked briefly at profiles), the performance issues on tests #26 and #40 are mostly in things like XPConnect (code that acts as the glue between JavaScript and the DOM) and maybe CAPS (code that does security checks).  I can reprofile at some point, unless somebody beats me to it.  I think tracemonkey is unlikely to help there, but I think there may be other ongoing performance work that is likely to help.

And yes, posting further performance numbers to this bug probably isn't helpful, especially given comment 54.  If there are other performance problems that you think merit analysis, you're always welcome to file separate bugs on them.
Comment 58 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-09-20 22:02:34 PDT
Various corrections and updates to my previous status report:

Numeric tests:
 * trunk now at 87/100
   + bug 450160 landed
 * patches currently in bug 302775, bug 433533, bug 174351, bug 454325, bug 178258, and bug 216462 (with --enable-smil or equivalent modification of patch) get us to 97/100
 * missing 3 points (#77, #78, #79) for SVG fonts and other related SVG
   issues (some might be easy; these need to be analyzed)
 * intermittently (but quite rarely) missing 1 or 2 points (#26, #27) for
   bug 335998 (GC timing and nodes owning parents) 

Layout tests:
 * white X on purple and red background in upper right is due to lack
   of support for downloadable TTF fonts (bug 441473, etc.; I think the
   current patch fixes this on Windows and Mac OS X only)

Smoothness:
  Currently too slow on #26 and perhaps others (although probably not, per comment 54)

Favicon:
  favicon.ico is displayed as the favicon, despite being a PNG file  (At least, I think that's why Hixie's saying it shouldn't show up... not that there's any spec for favicon.ico.)
Comment 59 spam_hole 2008-09-20 22:35:16 PDT
Actually, the reason why favicon.ico should not show up is because visiting
http://acid3.acidtests.org/favicon.ico
gives a 404 Not Found server response, with a response body of the red cat image. Supposedly, this means that the favicon should not be shown.
Comment 60 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-09-21 12:40:53 PDT
So I looked into test 77, test 78, and test 79 a bit further:

Test 77 tests SVG fonts by providing a font with odd metrics and then checking that those metrics were used with various methods.  We fail this since we don't support SVG fonts (bug 119490).  However, while looking at the numbers we were returning (given that we don't process the font), I also noticed bug 456282, which would also need to be fixed to pass this test.

Test 78 appears to be failing only because of lack of support for SVG fonts.  It gets the rotation of characters along a path that is designed to perfectly fit the oddly-shaped font given.  The methods and markup that this test uses seem to work correctly in a separate test that I wrote.  (Though we do differ from Opera on that simple test; our getRotationOfChar throws if the character didn't fit on the path; theirs doesn't.  However, Acid3 doesn't test that case, and I haven't looked into what's correct.)

Test 79 is also testing SVG fonts.  However, the very first failure (length mismatch) is because we don't support the altGlyph element, so its contents don't count towards the text length.  I filed bug 456286 on whether we should treat altGlyph more like tspan, although that's really about fallback behavior for before we implement SVG fonts.  (That assumes that "implement SVG fonts" includes support for altGlyph, which it may or may not in the initial implementation.)  This test is complicated enough that I haven't analyzed it further.


I'll also note that bug 281150 covers the favicon; I added that as a dependency as well.
Comment 61 Bill Gianopoulos [:WG9s] 2008-09-29 12:07:43 PDT
Intermittently, I fail test 80 with -  kungFuDeathGrip was null.
Comment 62 Bill Gianopoulos [:WG9s] 2008-09-29 12:10:45 PDT
(In reply to comment #61)
> Intermittently, I fail test 80 with -  kungFuDeathGrip was null.

Oops!  Sorry for SPAM.  I see now that this was already covered in comment #32 and comment #33.
Comment 63 ironwit 2008-10-01 10:23:32 PDT
after first open page  http://acid3.acidtests.org/
88/100
Failed 12 tests.
Test 07 failed: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIDOMRange.cloneContents]
Test 09 failed: expected 'Hello Wonderful KittyHow are you?' but got '' - toString() on range selecting Document gave wrong output
Test 10 failed: expected 'result' but got '' - toString() didn't work for attribute node
Test 11 failed: when inserting <a> into Document with another child: wrong exception raised
Test 26 passed, but took 152ms (less than 30fps)
Test 70 failed: UTF-8 encoded XML document with invalid character did not have a well-formedness error
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Test 80 failed: kungFuDeathGrip was null
Total elapsed time: 0.80s

after refresh (dont close/open page)
89/100
Failed 11 tests.
Test 07 failed: Component returned failure code: 0x80004005 (NS_ERROR_FAILURE) [nsIDOMRange.cloneContents]
Test 09 failed: expected 'Hello Wonderful KittyHow are you?' but got '' - toString() on range selecting Document gave wrong output
Test 10 failed: expected 'result' but got '' - toString() didn't work for attribute node
Test 11 failed: when inserting <a> into Document with another child: wrong exception raised
Test 26 passed, but took 145ms (less than 30fps)
Test 69 passed, but took 2 attempts (less than perfect).
Test 70 failed: UTF-8 encoded XML document with invalid character did not have a well-formedness error
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 6.27s

wats wrong?
Comment 64 ironwit 2008-10-01 10:24:31 PDT
sorry, version browser
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.1b1pre) Gecko/20081001 Minefield/3.1b1pre
Comment 65 Mardeg 2008-10-03 13:45:20 PDT
Test builds with all available patches are now at:
https://build.mozilla.org/tryserver-builds/2008-10-03_00:03-ehsan.akhgari@gmail.com-try-836bb85189e/
Comment 66 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2008-10-16 07:48:12 PDT
Current status:

Points:
* trunk now at 93/100 most of the time
* intermittently (but quite rarely) failing some tests (#26, #27, #80) for bug 335998 (GC timing and nodes owning parents)
* patch currently in bug 174351 fixes test 70
* patch currently in bug 178258 fixes test 71
* patch currently in bug 216462 (with --enable-smil or equivalent modification of patch) fixes test 75 and test 76
* test 77, test 78, and 79 are failing due to lack of SVG fonts; see comment 60 for more details

Layout tests:
* white X on purple and red background in upper right is still present on Linux due to lack of support for downloadable TTF fonts (bug 458169) -- and probably also on any other non-Windows non-Mac ports

Smoothness:
Currently too slow on #26 by about a factor of 4. This is an explicit performance test of DOM. We're currently spending about 30% of the time in JS+XPConnect (JS, quick stubs) and about 70% in content+layout (content and frame creation, style resolution) 

Favicon:
favicon.ico is displayed as the favicon, despite being a 404 response (bug 281150)
Comment 67 Steffen Wilberg 2008-10-17 03:29:13 PDT
FWIW, having Adblock Plus 0.7.5.5 enabled makes 72 and 74 fail here as well, but 70 pass.
72: doc.images is undefined
74: contentDocument failed for <object> referencing an svg document
Comment 68 Tomas 2008-10-17 04:14:56 PDT
Add acid site to white list in Adblock plus :)
Comment 69 Wladimir Palant 2008-10-17 04:48:28 PDT
At least one of them is due to "show tabs on flash and java" feature (http://adblockplus.org/en/faq_features#objecttabs). Feel free to disable it while running the test ;)
Comment 70 Steffen Wilberg 2008-10-17 05:59:54 PDT
OK, with "show tabs on flash and java" disabled, eveything is back to normal,
i.e. 70 fails and 72 and 74 pass (click on the letter "A" to display a report).
Comment 71 Ryan Jones 2008-11-03 02:05:12 PST
Looks like we lost a point on the test in the latest hourly builds: 

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.1b2pre) Gecko/20081102 Minefield/3.1b2pre

Test 46 case r - anyone want to guess if its a problem with the test or that something has regressed here?
Comment 72 Mardeg 2008-11-03 03:41:28 PST
Test 46 is the one the WG asked Hixie to change in Acid3, see
https://bugzilla.mozilla.org/show_bug.cgi?id=454226#c7
Comment 73 Bill Gianopoulos [:WG9s] 2008-11-06 07:31:19 PST
(In reply to comment #66)
> Current status:
> 
> Points:
> * trunk now at 93/100 most of the time
> * intermittently (but quite rarely) failing some tests (#26, #27, #80) for bug
> 335998 (GC timing and nodes owning parents)

I still get intermittent failures on test 80 even with the patch currently attached to bug 335998 applied.
Comment 74 Michael 2008-12-19 10:24:38 PST
Any updates on this?
Comment 75 Josh Tumath 2008-12-19 10:40:00 PST
Please do not spam. We will make a comment when there are updates.
Comment 76 Michael 2008-12-19 16:58:59 PST
(In reply to comment #75)
> Please do not spam. We will make a comment when there are updates.

Seriously? How is me asking for any updates 'spamming'?
Comment 77 Dorus Peelen 2008-12-19 17:10:21 PST
You noticed the huge list of emails shows when you make a comment? That's spamming.

Also, as all news around acid 3 compatibility is posted in this bug, or one of it's dependencies, no new comments probably mean no updates.

If you want to get updated on acid 3 compatibility, put yourself on the CC list of this bug.

If you want firefox to become acid 3 compatibility, vote for this bug.

If you want to know what the current status is, either download a nightly build, and try it out, or ask in some firefox forums for a update, mozillazine is probably a good place, and there are plenty of topics about acid 3 there already.

Also, somebody is now probably going to point to the etiquette https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
Comment 78 shirish 2009-02-10 13:30:36 PST
Got the following tests failed 

Failed 7 tests.
Test 26 passed, but took 1065ms (less than 30fps)
Test 39 passed, but took 54ms (less than 30fps)
Test 40 passed, but took 94ms (less than 30fps)
Test 46 passed, but took 49ms (less than 30fps)
Test 70 failed: UTF-8 encoded XML document with invalid character did not have a well-formedness error
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 2.81s

This is on latest nightly Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2a1pre) Gecko/20090210 Minefield/3.2a1pre
Comment 79 synergy6 2009-02-17 10:26:02 PST
Failed 6 tests.
Test 26 passed, but took 134ms (less than 30fps)
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 2.12s

On the latest 3.2 nightly (Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2a1pre) Gecko/20090217 Minefield/3.2a1pre)
Comment 80 Emmanuel JARRI 2009-02-27 07:52:18 PST
Personnaly, I didn't managed to reach 94% with the nightly build 20090226035935.
I reach 93%, or 92% (yes, it doesn't always score the same).

Moreover, it always freeze on the 26% or 27% step ... taking always at least 5 seconds to complete (where other users complete in 3 seconds).
(5 seconds on a 3GHz Pentium IV with 1Gb of RAM)

However, I managed to reach (2 times on 20 tests) the 94% with the build of   Ted Mielczarek (:luser)  of 2009-02-27 04:31:33 PST :
http://mavra.perilith.com/~luser/latest-teds-builds/firefox-3.2a1pre.en-US.win32.zip
But his changes are related to the bug 475178 and bug 480303, not to Acid 3 tests.


Here is my 93% dialog box with the nightly build 20090226035935 :
Failed 7 tests.
Test 26 passed, but took 4682ms (less than 30fps)
Test 65 passed, but took 56ms (less than 30fps)
Test 71 failed: doc.open is not a function
Test 72 failed: doc.images is undefined
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 5.46s
Comment 81 Emmanuel JARRI 2009-02-27 09:59:18 PST
the build which allowed me to reach 94% has been backed up at :
http://mavra.perilith.com/~luser/latest-teds-builds/firefox-3.2a1pre.en-US.win32.bug475178.zip
Comment 82 Mardeg 2009-03-11 12:07:42 PDT
Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2a1pre) Gecko/20090311 Minefield/3.2a1pre
7 year old 2.2GHz P4 with 1.5Gb of RAM

96/100 with svg.smil.enabled set to true in about:config on a fresh profile.

Failed 4 tests.
Test 26 passed, but took 868ms (less than 30fps)
Test 40 passed, but took 38ms (less than 30fps)
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 3.23s
Comment 83 XtC4UaLL [:xtc4uall] 2009-03-19 09:04:22 PDT
*** Bug 484204 has been marked as a duplicate of this bug. ***
Comment 84 Markus Popp 2009-05-11 03:44:09 PDT
The pink square shows up again in the right upper corner on "Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.1b5pre) Gecko/20090510 Shiretoko/3.5b5pre" (see: http://img.mpopp.net/acid3-shiretoko.png)
Comment 85 Evengard 2009-05-15 01:29:10 PDT
Mozilla/5.0 (X11; U; Linux x86_64; ru; rv:1.9.2a1pre) Gecko/20090514 Minefield/3.6a1pre
Still 96/100
And the same as described above... (still, the results for the test 26 and 40 are better than before )) )
Failed 4 tests.
Test 26 passed, but took 521ms (less than 30fps)
Test 40 passed, but took 35ms (less than 30fps)
Test 65 passed, but took 47ms (less than 30fps)
Test 69 passed, but took 40 attempts (less than perfect).
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 77 failed: expected '4776' but got '7180' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 2.92s
Comment 86 Frederic Bezies 2009-05-17 00:57:37 PDT
Sorry to spam, but I only got 94/100 instead 96/100 :

Failed 6 tests.
Test 26 passed, but took 434ms (less than 30fps)
Test 40 passed, but took 36ms (less than 30fps)
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '7180' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 2.32s

What makes test 75 an 76 not working ?
Comment 87 Helder "Lthere" Magalhães 2009-05-17 01:31:25 PDT
(In reply to comment #86)
> Sorry to spam, but I only got 94/100 instead 96/100 :
[...]
> What makes test 75 an 76 not working ?

Apparently your Firefox version: note that you should have posted it for completeness, specially when questioning something like this -- you may simply copy+paste the text contents of menu "Help", option "About Mozilla Firefox", after the copyright text (something like [1]). ;-)

SMIL animation (in SVG), the feature exercised in those tests, is not yet available in any released version (currently it's in 3.6a, which can be tried out using a nightly build [2] or compiling the code yourself). Note that, even in those versions, the feature is currently off by default (see bug 482402) so, as somehow stated in comment 82, one must go to "about:config" (in the address bar) and set "svg.smil.enabled" to "true" (naturally, all of these without quotes). :-)

[1] Mozilla/5.0 (Windows; U; Windows NT 6.0; pt-PT; rv:1.9.0.10) Gecko/2009042316 Firefox/3.0.10 (.NET CLR 3.5.30729)
[2] http://www.mozilla.org/developer/#builds
Comment 88 Frederic Bezies 2009-05-17 01:46:31 PDT
Well. Something reset the flag for smil. And I'm using homemade trunk builds.

Weird :)

/me is sorry for not having checked the flag before :/
Comment 89 Michał Gołębiowski [:m_gol] 2009-06-20 05:54:32 PDT
Is test 70 really passed? For me it isn't (my own cairo-gtk2 compilation of fx-3.5rc2). I get this error:

"Test 70 failed: UTF-8 encoded XML document with invalid character did not have a well-formedness error"
Comment 90 Michał Gołębiowski [:m_gol] 2009-06-20 06:12:43 PDT
P.S. Of course I tested it in the safe mode. Still 93/100.
Comment 91 Michael Mak 2009-06-20 06:15:05 PDT
I got 94/100 with Test 70 passed. It passed in safe mode too.

Mozilla/5.0 (Windows; U; Windows NT 6.0; en-US; rv:1.9.2a1pre) Gecko/20090620 Minefield/3.6a1pre (.NET CLR 3.5.30729) ID:20090620042612
Comment 92 Makoto Kato [:m_kato] 2009-06-20 06:30:03 PDT
(In reply to comment #89)
> Is test 70 really passed? For me it isn't (my own cairo-gtk2 compilation of
> fx-3.5rc2). I get this error:

I was fixed it on trunk only, not 1.9.1 tree.  Bug 174351 has no "fixed1.9.1" keyword.
Comment 93 Someone 2009-06-30 15:32:34 PDT
The favicon of the acid 3 test page shouldn't appear (It should display a generic web page icon)
But it does appear with Firefox 3.5 final.

Read here:
http://en.wikipedia.org/wiki/Acid3#The_test
Comment 94 Jesse Ruderman 2009-06-30 15:37:18 PDT
That's bug 281150, already on this bug's dependency list :)
Comment 95 Willy Cordeiro 2009-07-21 14:16:48 PDT
Just ran the test in Minefield build 20090721044139 and scored a 91/100 Also .gif images decided to die in this build.
Comment 96 Dorus Peelen 2009-07-21 14:36:29 PDT
I got 94/100 on Gecko/20090721 Minefield/3.6a1pre.

.gif image problems are bug 505473 and unrelated to acid 3 (I think).
Comment 97 Willy Cordeiro 2009-07-21 14:53:37 PDT
I figured they were unrelated, come to think of it I only mentioned it because it's tied to the build. I'll try running the test in safe mode one of my extensions might be interfering.
Comment 98 Paul Wright 2009-08-03 12:27:54 PDT
My Firefox 3.5.1 achieved 92 on the Acid3 Test.  Just upgraded to 3.5.2 and score went down to 91.  Anybody have an explanation as to why?
Comment 99 Zoltán Halassy 2009-08-03 13:22:20 PDT
I get 93 with 3.5.2

Test 71 failed: doc.open is not a function
Test 72 failed: doc.images is undefined
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect

Could you please tell us which are the other two (shift + click on the big A to get the results in a new window to able to copy it)
Comment 100 Paul Wright 2009-08-03 13:52:39 PDT
Failed 8 of 100 tests.
Test 26 passed, but took 269ms (less than 30fps)
Test 71 failed: doc.open is not a function
Test 72 failed: doc.images is undefined
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Test 80 failed: kungFuDeathGrip was null
Total elapsed time: 1.97s
Comment 101 Josh Tumath 2009-08-04 00:33:54 PDT
It varies from person-to-person. Here are my results in 3.5.2. I always struggle on test 69. On my old Windows XP computer, it was extremely slow and failed that test. In my new Windows Vista, it passes it, but only just.

Failed 8 tests.
Test 26 passed, but took 146ms (less than 30fps)
Test 69 passed, but took 1 attempts (less than perfect).
Test 70 failed: UTF-8 encoded XML document with invalid character did not have a well-formedness error
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Test 80 failed: kungFuDeathGrip was null
Total elapsed time: 0.82s
Comment 102 Eric Appleman 2009-08-07 16:06:30 PDT
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.2a1pre) Gecko/20090805 Ubuntu/9.10 (Karmic Koala) Firefox/3.6a1pre - Build ID: 20090805165522

Failed 9 of 100 tests.
Test 26 passed, but took 258ms (less than 30fps)
Test 39 passed, but took 47ms (less than 30fps)
Test 40 passed, but took 43ms (less than 30fps)
Test 71 failed: missing document for test
Test 72 failed: missing document for test
Test 73 failed: doc is undefined
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '7180' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Test 80 failed: linktest link couldn't be found
Total elapsed time: 1.68s
Comment 103 :Ms2ger 2009-08-14 07:57:44 PDT
Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.9.3a1pre) Gecko/20090814 Minefield/3.7a1pre (rev 6920d39fa27c)

With default settings:
Failed 6 of 100 tests.
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '7180' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect

With html5.enable and svg.smil.enabled set to true:
Failed 3 of 100 tests.
Test 77 failed: expected '4776' but got '7180' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Comment 104 shirish 2009-09-25 06:09:34 PDT
9 Tests failed 

Mozilla/5.0 (Windows; U; Windows NT 5.1; en-US; rv:1.9.2b1pre) Gecko/20090924 Namoroka/3.6b1pre


Failed 9 tests.
Test 16 passed, but took 39ms (less than 30fps)
Test 26 passed, but took 1026ms (less than 30fps)
Test 39 passed, but took 53ms (less than 30fps)
Test 40 passed, but took 78ms (less than 30fps)
Test 43 passed, but took 36ms (less than 30fps)
Test 46 passed, but took 47ms (less than 30fps)
Test 65 passed, but took 145ms (less than 30fps)
Test 69 passed, but took 415 attempts (less than perfect).
Test 71 failed: missing document for test
Test 72 failed: missing document for test
Test 73 failed: doc is undefined
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Test 80 failed: linktest link couldn't be found
Total elapsed time: 15.66s
Comment 105 shirish 2009-09-25 06:25:34 PDT
ah, oops. It seemed I made some changes underneath hence it didn't come correctly. I made a new profile and ran the tests again, this time it showed 94% pass. 

Failed 6 tests.
Test 26 passed, but took 899ms (less than 30fps)
Test 39 passed, but took 43ms (less than 30fps)
Test 40 passed, but took 86ms (less than 30fps)
Test 46 passed, but took 42ms (less than 30fps)
Test 69 passed, but took 117 attempts (less than perfect).
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 75 failed: anim.beginElement is not a function
Test 76 failed: expected '0' but got '100' - Incorrect animVal value after svg animation.
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 7.37s

I could send my prefs.js file off-line to somebody if someone is willing to take a look at it and tell me where or what I changed which failed so many tests more so can fix that. 

Also do not have any idea if prefs.js does have some intimate information (like passwords and such) which shouldn't be but its still good to be on safer side. Sorry for the earlier plug :)
Comment 106 d 2009-09-25 06:41:20 PDT
To me, it appears to be random whether it passes 92-94 tests, just reloading might change the result, but 94 is the current maximum with Firefox 3.6 and the original settings.
Comment 107 Shawn Wilsher :sdwilsh 2009-10-22 12:09:55 PDT
*** Bug 523578 has been marked as a duplicate of this bug. ***
Comment 108 Tomas 2009-10-22 16:25:18 PDT
Bug 482402 -  (smil) Enable "svg.smil.enabled" pref by default. Landed  +2 points in Acid 3 test. Score: 96/100.

Failed 4 of 100 tests.
Test 26 passed, but took 574ms (less than 30fps)
Test 40 passed, but took 41ms (less than 30fps)
Test 71 failed: expected '1' but got '2' - wrong number of children in HEAD (first test)
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 3.17s.

Original settings.
Comment 109 Takanori MATSUURA 2009-10-22 17:35:31 PDT
Failed 3 tests.
Test 26 passed, but took 162ms (less than 30fps)
Test 69 passed, but took 150 attempts (less than perfect).
Test 71 passed, but took 113ms (less than 30fps)
Test 77 failed: expected '4776' but got '6720' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: expected '34' but got '33' - SVGSVGTextElement.getNumberOfChars() incorrect
Total elapsed time: 5.69s

hg_c5b353307fb8
Mozilla/5.0 (X11; U; Linux x86_64; ja; rv:1.9.3a1pre) Gecko/20091023  Minefield/3.7a1pre
Comment 110 Tomas 2009-10-22 17:47:31 PDT
Mine report is for 3.6 and original settings. Yours for 3.7 and html5.enable set to true. This pref is not original settings.
Comment 111 Nathan Tuggy (:tuggyne) 2009-10-22 18:02:24 PDT
Can we please stop getting spammed by endless testers eagerly posting their
latest (apparently insignificant) results? If I'm CC'd on this bug, I already
get bug fix/break notifications for all the bugs that block this -- that's the
point of a meta bug, after all. I don't need to hear *again* that a particular
test has been passed -- I've probably already read the bug that fixed it, and
if not, chances are I don't care all that much. And I really don't need to hear
about how many fps your installation can run.

Maybe others care about all these redundant test runs, but I'm rather tired of
them. (And sincere apologies to all 200+ of you who got slammed with *yet
another* spam.)

Most of the time, if you have an interesting and unexpected test pass or
failure, just *find the right bug* in the dependencies and post there!
Comment 112 Carlos Alén Silva 2010-05-04 08:10:34 PDT
Encouragement post:

Only 5 bugs remaining. Come on, guys! Let's get this done!
Comment 113 Dave Batista 2010-06-08 17:27:52 PDT
Failed 3 of 100 tests.
Test 26 passed, but took 64ms (less than 30fps)
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: character position 1, which is between a normal character and the first character of a two-character glyph, is 72 but should be 10000.
Total elapsed time: 0.11s

Mozilla/5.0 (Windows; U; Windows NT 6.1; WOW64; en-US; rv:1.9.3a5pre) Gecko/20100608 Minefield/3.7a5pre

Looks like Test 79 has been worked on, but it still isn't quite there yet.

Tests 69 and 80 are sometimes "less than perfect", but that seems to be cleared up with caching the page.  It also occurs similarly in noncached tests run on other "perfect" browsers such as Chrome, Opera and Safari.
Comment 114 lukaswrites.bugzilla 2010-07-27 20:12:24 PDT
Firefox 4 beta 2 scores only 95/100 compared to firefox beta 1 97/100. What happened??
Comment 115 karl155 2010-07-28 05:17:12 PDT
The latest nightly is still working fine (97/100).

Failed 3 tests.
Test 26 passed, but took 60ms (less than 30fps)
Test 69 passed, but took 64 attempts (less than perfect).
Test 77 failed: expected '4776' but got '5560' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: character position 1, which is between a normal character and the first character of a two-character glyph, is 72 but should be 10000.
Total elapsed time: 2.91s

Mozilla/5.0 (Windows; Windows NT 5.1; rv:2.0b3pre) Gecko/20100727 Minefield/4.0b3pre
Comment 116 Sierk Bornemann 2010-08-06 02:16:53 PDT
HTML5, Modernized: Fourth IE9 Platform Preview Available for Developers
http://blogs.msdn.com/b/ie/archive/2010/08/04/html5-modernized-fourth-ie9-platform-preview-available-for-developers.aspx

Acid3 Score: 95/100

"As IE9 has implemented more of the standards that developers use and value, IE9’s Acid3 score has continued to rise. The remaining points involve two particular technologies (SVG Fonts and SMIL animation of SVG) that are in transition."
Comment 117 Scott A. 2010-09-24 00:28:50 PDT
Latest nightly status:

Failed 3 tests.
Test 26 passed, but took 44ms (less than 30fps)
Test 77 failed: expected '4776' but got '5550.625' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: character position 1, which is between a normal character and the first character of a two-character glyph, is 72.21875 but should be 10000.
Total elapsed time: 0.65s

Mozilla/5.0 (Windows NT 6.1; WOW64; rv:2.0b7pre) Gecko/20100923 Firefox/4.0b7pre
Comment 118 Scott A. 2010-10-11 13:53:58 PDT
Current hourly only scores 94/100 and takes awhile to get there...

Failed 6 tests.
Test 26 passed, but took 44ms (less than 30fps)
Test 69 failed: timeout -- could be a networking issue
Test 75 failed: Permission denied for <http://acid3.acidtests.org> to get property HTMLDocument.documentElement from <moz-safe-about:neterror?e=fileNotFound&u=http%3A//acid3.acidtests.org/svg.xml&c=UTF-8&d=Firefox%20can%27t%20find%20the%20file%20at%20http%3A//acid3.acidtests.org/svg.xml.>.
Test 76 failed: Permission denied for <http://acid3.acidtests.org> to get property HTMLDocument.getElementById from <moz-safe-about:neterror?e=fileNotFound&u=http%3A//acid3.acidtests.org/svg.xml&c=UTF-8&d=Firefox%20can%27t%20find%20the%20file%20at%20http%3A//acid3.acidtests.org/svg.xml.>.
Test 77 failed: Permission denied for <http://acid3.acidtests.org> to get property HTMLDocument.documentElement from <moz-safe-about:neterror?e=fileNotFound&u=http%3A//acid3.acidtests.org/svg.xml&c=UTF-8&d=Firefox%20can%27t%20find%20the%20file%20at%20http%3A//acid3.acidtests.org/svg.xml.>.
Test 78 failed: Permission denied for <http://acid3.acidtests.org> to get property HTMLDocument.documentElement from <moz-safe-about:neterror?e=fileNotFound&u=http%3A//acid3.acidtests.org/svg.xml&c=UTF-8&d=Firefox%20can%27t%20find%20the%20file%20at%20http%3A//acid3.acidtests.org/svg.xml.>.
Test 79 failed: character position 1, which is between a normal character and the first character of a two-character glyph, is 72.21875 but should be 10000.
Total elapsed time: 6.37s
Comment 119 David Baron :dbaron: ⌚️UTC-7 (review requests must explain patch) 2010-10-11 14:58:41 PDT
(In reply to comment #118)
> Current hourly only scores 94/100 and takes awhile to get there...

Are you testing using a build from ftp.mozilla.org or a build that you made yourself?
Comment 120 Damian Shaw [Quan] 2010-10-11 15:02:24 PDT
(In reply to comment #118)
> Current hourly only scores 94/100 and takes awhile to get there...

Please run in a clean profile with no extensions(a few popular ones cause exactly what I see you getting) and give us your build id if it is really a regression.
Comment 121 Scott A. 2010-10-11 16:03:44 PDT
(In reply to comment #120)
> (In reply to comment #118)
> > Current hourly only scores 94/100 and takes awhile to get there...
> 
> Please run in a clean profile with no extensions(a few popular ones cause
> exactly what I see you getting) and give us your build id if it is really a
> regression.

The only thing that changed since last time I ran it is my adblock subscriptions.. I disabled all extensions and still get 94/100.
Comment 122 Helder "Lthere" Magalhães 2010-10-12 03:01:10 PDT
(In reply to comment #121)
> > Please run in a clean profile with no extensions(a few popular ones cause
> > exactly what I see you getting) and give us your build id if it is really a
> > regression.
> 
> The only thing that changed since last time I ran it is my adblock
> subscriptions.. I disabled all extensions and still get 94/100.

Exactly, but you still have the extension there: I recall a somehow recent issue with Firebug which crashed Firefox even (when Firebug was) disabled. So please follow the comment 120 suggestion and create a brand new profile [1], don't install *any* extensions and then retry. ;-)

[1] http://kb.mozillazine.org/Profile_manager
Comment 123 Raul Malea 2010-10-31 04:35:52 PDT
Acid 3 test 97/100 FAILED (square - not blue!)

My Minefield:

about:buildconfig
Source

Built from http://hg.mozilla.org/mozilla-central/rev/2f456d0310fa
Build platform
target
i686-pc-mingw32
Build tools
Compiler 	Version 	Compiler flags
d;D:\mozilla-build\msys\mozilla-build\python25\python2.5.exe -O e;D:\mozilla-build\msys\builds\moz2_slave\mozilla-central-win32-nightly\build\build\cl.py cl 	14.00.50727.762 	-TC -nologo -W3 -Gy -Fdgenerated.pdb -DNDEBUG -DTRIMMED -Zi -Zi -UDEBUG -DNDEBUG -GL -wd4624 -wd4952 -O1
d;D:\mozilla-build\msys\mozilla-build\python25\python2.5.exe -O e;D:\mozilla-build\msys\builds\moz2_slave\mozilla-central-win32-nightly\build\build\cl.py cl 	14.00.50727.762 	-GR- -TP -nologo -Zc:wchar_t- -W3 -Gy -Fdgenerated.pdb -wd4800 -DNDEBUG -DTRIMMED -Zi -Zi -UDEBUG -DNDEBUG -GL -wd4624 -wd4952 -O1
Configure arguments

--enable-application=browser --enable-update-channel=nightly --enable-update-packaging --enable-jemalloc --enable-tests
Comment 124 Siad 2011-01-02 09:30:51 PST
Acid3 test 94/100 - something wrong? :)
Comment 125 Bill Gianopoulos [:WG9s] 2011-01-02 09:50:47 PST
(In reply to comment #124)
> Acid3 test 94/100 - something wrong? :)

Yes.,  This has been asked and answered numerous times in this bug already.  Please read ALL the comments before commenting.
Comment 126 Bill Gianopoulos [:WG9s] 2011-01-02 09:55:02 PST
(In reply to comment #68)
> Add acid site to white list in Adblock plus :)

The actual domain to whitelist in adblock and noscript is acidtests.org.
Comment 127 Chris B. 2011-01-11 13:21:25 PST
Current Minefield (1/11/11) reports a score of 97/100 with the following errors:

Failed 3 tests.
Test 26 passed, but took 64ms (less than 30fps)
Test 71 passed, but took 83ms (less than 30fps)
Test 77 failed: expected '4776' but got '5550.625' - getComputedTextLength failed.
Test 78 failed: expected '90' but got '0' - getRotationOfChar(0) failed.
Test 79 failed: character position 1, which is between a normal character and the first character of a two-character glyph, is 72.21875 but should be 10000.
Total elapsed time: 0.84s
Comment 128 Cork 2011-01-12 12:34:38 PST
(In reply to comment #127)
First see comment 111,

97/100 is the current status on acid3, and will most likely stay that way as there's a question for the need of svg font support (many of those failures comes from svg fonts see earlier comments from dbaron).
Comment 129 Dorus Peelen 2011-01-25 03:40:49 PST
http://limi.net/articles/firefox-acid3 for more details on why it will stay on 97/100 (and why that’s a good thing)

ps. read #111 #126 and #128 BEFORE commenting.
Comment 130 nidaisfree 2011-02-06 17:00:52 PST
https://bugzilla.mozilla.org/show_bug.cgi?id=119490#c63

A good implementation of SVG is needed. A good SVG implementation would mean passing the Acid3 test, but that's a byproduct, a collateral benefit. A good SVG implementation is needed per se. 

This is a vicious circle: if browsers don't implement SVG fonts, developers won't use them. Developers won't use them because browsers don't implement them. The bug for SVG fonts was filed on 2002-01-11, 9 years ago, and its current status is ASSIGNED. 9 years and the bug is still there, and now the reasoning for not fixing it is that the feature is not used, it's probably going to have its specifications changed and because *now* WOFF is allegedly better. LOL. How could anyone have been using a feature that was not implemented? Of course a feature will likely be changed/deprecated after 9 years. And WOFF and SVG are not entirely interchangeable, i.e. It's nice to have WOFF, but SVG is still needed.

Does "Paste and Go" ring a bell? A bug was filed in 2002/3 requesting paste and go. It was left to rot into oblivion, dismissed by the developers, until Limi did a survey in Reddit last year and found out that people desperately wanted Paste and go (a really useful feature, by the way). Firefox 4 will finally implement Paste and Go. After 9 years. It would be nice if SVG fonts were also implemented. Gosh! You developers can be really stubborn!
Comment 131 Shane Bundy 2011-02-13 04:47:54 PST
No browser fully supports SVG but would be a nice addition like in comment 130.

How does WebKit pass tests 77, 78 and 79? Those seem to be the tests still failing and it would be nice to take a look at how WebKit implements SVG fonts.

With Paste & Go it would be a great time saver and I use it all the time in Chromium.

I don't mind the devs being stubborn because you never know what they're up to!
Comment 132 Laszlo Mocsar 2011-03-16 12:40:41 PDT
(In reply to comment #123)
> Acid 3 test 97/100 FAILED (square - not blue!)

What is the status of the 2nd from right square being grey instead of blue? Is it also because of the svg-#@& ?
Comment 133 Dave Garrett 2011-03-16 17:53:35 PDT
The squares represent each set of tests and are colored instead of grey when that set is fully passed. It's just another progress indicator. So yes, the 3/100 tests that aren't passed are the reason the 2nd to last square isn't blue.

Each comment here emails hundreds of people, so please, no more comments needed.

Just to keep the link in the last comment:
http://limi.net/articles/firefox-acid3
Comment 134 Zibi Braniecki [:gandalf][:zibi] 2011-09-09 04:29:21 PDT
It seems that there are more issues with some of the Acid3 tests - http://annevankesteren.nl/2011/09/acid3-problem - and that they started collecting list of proposed changes to Acid3 - http://annevankesteren.nl/2011/09/changing-acid3 .
Should we add our remaining 3 items on that list?
Comment 135 Lars Gunther 2011-09-17 02:24:13 PDT
Acid3 has now changed and Firefox gets 100/100, as does the latest IE.

https://plus.google.com/107429617152575897589/posts/JdHnqpuUER4

The details

Failed 0 tests.
Test 26 passed, but took 247ms (less than 30fps)
Test 69 passed, but took 11 attempts (less than perfect).
Test 71 passed, but took 53ms (less than 30fps)
Total elapsed time: 3.48s

Thus Firefox still fails that weird "smoothness criterion" that tech journalists are 100 % clueless about. And since all browsers now get 100 points we can assume that the test will no longer be used in articles and blog posts.

Proposing we mark this bug as FIXED
Comment 136 RealName 2011-09-17 02:38:41 PDT
I sure hope that it'll be marked as fixed, I've been trying to get out of the mailing list since eternity.. (I'm half-joking half-serious)
Comment 137 :Ms2ger 2011-09-17 06:32:34 PDT
Fixed indeed, and lessons learned. Let us lay this test to rest now.
Comment 138 Sierk Bornemann 2011-09-17 09:15:27 PDT
What about an update of
https://spreadsheets.google.com/pub?key=pNgBCwWdyRTT2JeiZn4B2Yw ?

Is this document still of any relevance (last updated: build 20100220)?
Comment 139 Sierk Bornemann 2011-09-17 09:16:17 PDT
What about an update of
https://spreadsheets.google.com/pub?key=pNgBCwWdyRTT2JeiZn4B2Yw ?

Is that document still of any relevance (last updated: build 20100220)?
Comment 140 Sierk Bornemann 2011-09-17 09:17:09 PDT
What about an update of
https://spreadsheets.google.com/pub?key=pNgBCwWdyRTT2JeiZn4B2Yw ?

Is that document still of any relevance (last updated: build 20100220)?
Comment 141 Sierk Bornemann 2011-09-17 09:21:06 PDT
@admin:

Sorry for the triple-post and spamming the bug list (caused by a browser hang). Please ignore and delete the first two, leaving the most recent one of them.
Comment 142 Dave Garrett 2011-09-17 11:20:49 PDT
(In reply to Sierk Bornemann from comment #141)
Comments are rarely deleted/hidden and not for the above sort of thing. Don't worry about it.

(In reply to Sierk Bornemann from comment #140)
> What about an update of
> https://spreadsheets.google.com/pub?key=pNgBCwWdyRTT2JeiZn4B2Yw ?
> 
> Is that document still of any relevance (last updated: build 20100220)?

That appears to be out of date. Line #71 notes two pending bug numbers, both of which are now fixed. The page says up top it was last updated 20100220 (2010-02-20). I'd say it's obsolete.

(In reply to Lars Gunther from comment #135)
> Failed 0 tests.
> Test 26 passed, but took 247ms (less than 30fps)
> Test 69 passed, but took 11 attempts (less than perfect).
> Test 71 passed, but took 53ms (less than 30fps)
> Total elapsed time: 3.48s
> 
> Thus Firefox still fails that weird "smoothness criterion" that tech
> journalists are 100 % clueless about.

Your time is way slower than what many others get. My runs are always way under a second and I usually only get two warning lines, sometimes one, and I suspect others may get none on faster systems. Attempting to measure stuff like this here was always going to be a problem because it's not going to have the same results for every system, not to mention the vagueness of saying "the animation has to be smooth". For the record, here's the sort of output I get for a new Firefox 6.0.2 profile on Linux using my laptop:

Failed 0 of 100 tests.
Test 26 passed, but took 70ms (less than 30fps)
Test 69 passed, but took 1 attempts (less than perfect).
Total elapsed time: 0.29s

Minefield gets similar results.

As far as I'm concerned, all of the stated criteria are fulfilled in the new Acid3 version. This is completely done now; I'll even mark this bug verified. I guess we're just waiting on Acid4 now. ;)

To everyone considering commenting here: All new comments email hundreds of people and this bug is done, so no more posting here, please.
Comment 143 Philippe 2011-09-17 20:01:45 PDT
SVG fonts are an essential element of the architecture SVG. The reason is that XML structure allows to manipulate an SVG source consistently.
It seems to me that in Acid3test the test done on SVG fonts has been dishonestly removed: is that correct?
Comment 144 Dave Garrett 2011-09-17 20:47:41 PDT
Again, this is not a discussion forum.
https://bugzilla.mozilla.org/page.cgi?id=etiquette.html
Comment 145 Carl 2011-09-19 11:20:55 PDT
Awesome, it has finally passed it.
Comment 146 Peter 2012-06-26 15:00:06 PDT
Should be reopened, Fennec 14 final fails with score 99.

Note You need to log in before you can comment on or make changes to this bug.